textures/addict/sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/addict/ik_sky_night_back.tga
	q3map_lightimage textures/addict/ik_sky_night_front.tga
	q3map_surfacelight 50
	skyparms - 512 -
	{
		map textures/addict/ik_sky_night_back.tga
		tcMod scale 2 2
		tcMod scroll 0.01 0.01
		depthWrite
	}
	{
		map textures/addict/ik_sky_night_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.02 0.02
	}
}

textures/addict/fog_white
{
	qer_editorimage textures/sfx/fog_timdm1.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 1 1 1 ) 2048
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .05 -.05
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .05 -.05
		rgbgen identity
	}
}

textures/addict/smoke
{
	qer_editorimage textures/addict/smoke1.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none

	{
		animMap 10 textures/addict/smoke1.jpg textures/addict/smoke2.jpg textures/addict/smoke3.jpg textures/addict/smoke4.jpg textures/addict/smoke5.jpg textures/addict/smoke6.jpg textures/addict/smoke7.jpg textures/addict/smoke8.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/addict/smoke2.jpg textures/addict/smoke3.jpg textures/addict/smoke4.jpg textures/addict/smoke5.jpg textures/addict/smoke6.jpg textures/addict/smoke7.jpg textures/addict/smoke8.jpg textures/addict/smoke1.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
}

textures/addict/spot_low
{
	qer_editorimage textures/base_light/ceil1_38.tga
	q3map_lightimage textures/addict/ceil1_lblue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/addict/ceil1_lblue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/addict/spot_med
{
	qer_editorimage textures/base_light/ceil1_38.tga
	q3map_lightimage textures/addict/ceil1_lblue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 30000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/addict/ceil1_lblue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/addict/spot_high
{
	qer_editorimage textures/base_light/ceil1_38.tga
	q3map_lightimage textures/addict/ceil1_lblue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 50000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/addict/ceil1_lblue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/addict/floor_light
{
	qer_editorimage textures/base_light/light1blue.tga
	q3map_lightimage textures/base_light/light1blue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/proto_lightmap.tga
		blendfunc GL_ONE GL_ONE
                rgbGen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc GL_ONE GL_ONE
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}

textures/addict/teleport
{
	qer_editorimage textures/addict/teleport.tga
	q3map_surfacelight 100
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	tesssize 128
	cull disable
	
        {
                map textures/effects/envmap.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/addict/teleport.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		tcMod turb 0 .3 0 .2
		tcMod scale 0.5 0.5
	} 
}

textures/addict/banner
{
	qer_editorimage textures/addict/banner.tga
	q3map_lightimage textures/addict/banner.tga
        q3map_surfacelight 100

	{
		map textures/addict/banner.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/addict/stripe.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/addict/banner2
{
	qer_editorimage textures/addict/banner.tga
	q3map_lightimage textures/addict/banner.tga
        q3map_surfacelight 100

	{
		map textures/addict/banner.tga
	        rgbGen wave square 0 1 0 .5
	}
	{
		map textures/addict/welcome.tga
		blendfunc add
	        rgbGen wave square 0 1 .5 .5
	}
	{
		map textures/addict/stripe.jpg
		blendfunc add
	        rgbGen identity
		tcmod scroll 2 -2
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
	        rgbGen identity
		tcmod scroll 2 2
	}
	{
		map $lightmap
	        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/addict/fan_grate
{
	qer_editorimage textures/sfx/fan_grate.tga
        surfaceparm trans
	cull none
        nopicmip
	{
		map textures/sfx/fan_grate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/addict/lightred1
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/base_light/proto_lightred.tga
		blendFunc add
		rgbGen wave square .5 .5 0 0.8
	}
}

textures/addict/lightred2
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendFunc filter
		rgbGen identity
	}
        {
		map textures/base_light/proto_lightred.tga
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}
}